Subject: bug#13390: tramp-adb hanging forever

From: Michael Albinus <[email-masked]>
Date: Mon, 18 Feb 2013 18:54:15 +0100

Thierry Volpiatto <[email-masked]> writes:

> Hi Michael,

Hi Thierry,

>
> Michael Albinus <[email-masked]> writes:
>
>> Tramp expects, that "id -g" returns just a number. Your /system/bin/id
>> behaves differently.
>>
>> During my tests I've found that several commands in /system/bin behave
>> not exactly as expected. Thats why I have recommended to use as shell
>> just "sh". In the case of SSHDroid this results in a shell which comes
>> with SSHDroid, and which behaves more regular.
>>
>> Maybe you give it a try?
> Same without specifying the path of "sh":

I was speaking about SSHDroid ...

> But indeed it seem there is different implementation of command "id":
>
> ,----
> | thierry@dell-14z:~/tmp/emacs-savanah-git$ ssh zte
> | Welcome to DropBear SSH Server II!
> | [email-masked]'s password: 
> | -sh-3.2# /system/xbin/id -g
> | 0
> | -sh-3.2# /system/bin/id -g 
> | uid=0(root) gid=0(root) groups=0(root)
> `----

The rearrange `tramp-remote-path' that /system/xbin comes before
/system/bin.

Best regards, Michael.